<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUserProfileProvisionReq StructType
 * @subpackage Structs
 */
class AddUserProfileProvisionReq extends APIRequest
{
    /**
     * The userProfileProvision
     * @var XUserProfileProvision
     */
    public $userProfileProvision;
    /**
     * Constructor method for AddUserProfileProvisionReq
     * @uses AddUserProfileProvisionReq::setUserProfileProvision()
     * @param XUserProfileProvision $userProfileProvision
     */
    public function __construct(XUserProfileProvision $userProfileProvision = null)
    {
        $this
            ->setUserProfileProvision($userProfileProvision);
    }
    /**
     * Get userProfileProvision value
     * @return XUserProfileProvision|null
     */
    public function getUserProfileProvision()
    {
        return $this->userProfileProvision;
    }
    /**
     * Set userProfileProvision value
     * @param XUserProfileProvision $userProfileProvision
     * @return AddUserProfileProvisionReq
     */
    public function setUserProfileProvision(XUserProfileProvision $userProfileProvision = null)
    {
        $this->userProfileProvision = $userProfileProvision;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddUserProfileProvisionReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
